# Only change this if you wish to invalidate a previous save
_version = "0.2.7"
# Specifies how long each poll runs for in seconds
# Must be >=300
# DEFAULT: 1800 (30 minutes)
default_poll_duration = 1800
# How many seconds before a poll expires should it be checked for votes
# Should probably be >= 30 to allow for checking and deletion
# DEFAULT: 30
poll_check_time = 30
# If a poll receives no votes in the default_poll_duration, the poll is
# recreated to expire in default_poll_duration * no_vote_scale minutes
# Must be >=1
# DEFAULT: 2
no_vote_scale = 1
# How long should a new campaign be delayed after dying?
# DEFAULT: 3600 (1 hour)
death_duration = 3600
# How often to post a new tip in seconds
# DEFAULT: 43200 (12 hours)
tip_interval = 43200
# Prefix to use for commands
# DEFAULT: "!"
command_prefix = "!"

# Number of times to attempt API requests before giving up.
# DEFAULT: 5
max_retries = 5
# Delay in seconds between request attempts.
# DEFAULT: 10
retry_delay = 10

# Bot website URL
# DEFAULT: "https://dungeons.astrelion.com"
website_url = "https://dungeons.astrelion.com"
# Source code URL
# DEFAULT: "https://gitlab.com/ASTRELION/dungeons-bot"
source_url = "https://gitlab.com/ASTRELION/dungeons-bot"
# Author contact URL
# DEFAULT: "https://mastodon.social/@astrelion"
author_url = "https://mastodon.social/@astrelion"

# URL to get list of supporters from. Leave blank to skip.
# DEFAULT: ""
supporter_url = ""

# Amount of exp to start new characters at (mostly used for debug)
# DEFAULT: 0
start_exp = 0
# Amount to multiply exp earnings (mostly used for debug)
# DEFAULT: 1
exp_mult = 1
# Amount of gold to start new characters at (mostly used for debug)
# This is used as a base value, the normal gold roll will be added on top.
# DEFAULT: 0
start_gold = 0
# Amount to multiply gold earnings (mostly used for debug)
# DEFAULT: 1
gold_mult = 1

# Chance of choosing the race's subrace in addition to parent's race
# DEFAULT: 0.5
subrace_chance = 0.5
# Chance of choosing the class's subclass when reaching the appropriate level
# DEFAULT: 0.5
subclass_chance = 0.5

# Chance to encounter a treasure/mimic
# DEFAULT: 0.05
treasure_chance = 0.05
# Chance to encounter a trader/bandit
# DEFAULT: 0.1
trader_chance = 0.1

# AI Horde API URL
# DEFAULT: "https://aihorde.net"
stablehorde_url = "https://aihorde.net"
# AI Horde API key
# DEFAULT: "0000000000" (anon key)
stablehorde_key = "0000000000"
# Additional style to add to all AI generation.
# DEFAULT: ", in the style of Dungeons and Dragons. Splash art, Digital Painting."
horde_style = ", in the style of Dungeons and Dragons. Splash art, Digital Painting."
# Increasing this up to 10 will improve coherency, but requires you to have kudos in your horde
# DEFAULT: 5
horde_steps = 5
# Generated image quality
# DEFAULT: 80
image_quality = 80

############
# Database #
############

# Database URL
# Use for regular database operations
# This must start with postgresql+psycopg2://
db_url = "postgresql+psycopg2://[POSTGRES_URL]"
# Database key
# Used for file uploads
db_key = "[YOUR_KEY]"
# Database storage URL
# Used for file uploads
db_storage_url = "[HTTPS_URL]"
